> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrop.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction

> This endpoint accepts a risk evaluation order for a transaction. You submit transaction details (amount, currency, source/destination pockets, etc.) along with a reference number and webhook URL. OmniEagle processes the transaction data and asynchronously sends the risk evaluation result to the provided webhook URL. A 201 response indicates successful acceptance of the order. A 208 response indicates that the order has already been received (duplicate submission).



## OpenAPI

````yaml POST /omni-eagle/v1/transactions
openapi: 3.1.0
info:
  contact:
    email: developers@ecrop.com
    name: ecrop OmniEagle API Support
    url: https://youki.ai/contact
  description: >
    # OmniEagle API Documentation

    Welcome to the OmniEagle API. This API provides risk evaluation services for
    identities and transactions. This documentation details the endpoints
    available for submitting risk evaluation orders and retrieving the results.
  license:
    name: ecrop OmniOmni
    url: https://developers.ecrop.de/api-license/
  termsOfService: https://developers.ecrop.de/terms-of-use/
  title: OmniEagle API Catalogue
  version: 1.0.0
  x-logo:
    backgroundColor: '#DDDDDD'
    url: >-
      https://static.wixstatic.com/media/fd3e8b_a57864adb1084dea94c9fab462a8f52c~mv2.png/v1/crop/x_0,y_131,w_1253,h_295/fill/w_233,h_55,al_c,q_85,usm_0.66_1.00_0.01,enc_auto/fd3e8b_a57864adb1084dea94c9fab462a8f52c~mv2.png
servers:
  - url: https://backend.dev.ecrop.de/ecrop-command
    description: DEV
security:
  - Bearer Authentication: []
tags:
  - description: Endpoints for submitting and retrieving identity risk evaluations
    name: Identities
  - description: Endpoints for submitting and retrieving transaction risk evaluations
    name: Transactions
paths:
  /omni-eagle/v1/transactions:
    post:
      tags:
        - Transactions
      summary: Risk evaluation order for a transaction
      description: >-
        This endpoint accepts a risk evaluation order for a transaction. You
        submit transaction details (amount, currency, source/destination
        pockets, etc.) along with a reference number and webhook URL. OmniEagle
        processes the transaction data and asynchronously sends the risk
        evaluation result to the provided webhook URL. A 201 response indicates
        successful acceptance of the order. A 208 response indicates that the
        order has already been received (duplicate submission).
      operationId: storeTransactionRiskEvaluationOrder
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OmniEagleTransactionRiskEvaluationOrderDto'
        required: true
      responses:
        '201':
          description: Risk evaluation order received successfully.
        '208':
          description: Risk evaluation order already has been received.
components:
  schemas:
    OmniEagleTransactionRiskEvaluationOrderDto:
      type: object
      properties:
        referenceNumber:
          type: integer
          format: int64
          maximum: 9999999999
          minimum: 1
        transaction:
          $ref: '#/components/schemas/OmniEagleTransactionDto'
        webHookUrl:
          type: string
      required:
        - referenceNumber
        - webHookUrl
    OmniEagleTransactionDto:
      type: object
      properties:
        amount:
          type: number
        bankType:
          type: string
          enum:
            - PRIVATE_BANK
            - CROSS_BORDER
            - STATE_BANK
        currency:
          type: string
        description:
          type: string
        destinationPocket:
          $ref: '#/components/schemas/OmniEaglePocketDto'
        paymentType:
          type: string
          enum:
            - CASH
            - CRYPTO_CURRENCY
            - CHECKS
            - DIGITAL_WALLETS
            - CREDIT_DEBIT_CARD
            - LETTER_OF_CREDIT
            - WIRED_TRANSFER
            - ELECTRONIC_FUNC_TRANSFER
        sourcePocket:
          $ref: '#/components/schemas/OmniEaglePocketDto'
        transactionId:
          type: string
        transactionTime:
          type: string
          format: date-time
      required:
        - amount
        - currency
        - description
        - destinationPocket
        - sourcePocket
        - transactionId
    OmniEaglePocketDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        insertDate:
          type: string
          format: date-time
        modifyDate:
          type: string
          format: date-time
        ownerUniqueIdentifierInClient:
          type: string
        pocketNumber:
          type: string
  securitySchemes:
    Bearer Authentication:
      bearerFormat: JWT
      scheme: bearer
      type: http

````